Subject: Re: bug#77318: 29.3; Emacs eshell password prompt is in clear text

From: Daniel de Castro Victoria <[email-masked]>
Date: Fri, 28 Mar 2025 08:42:01 -0300

I just found out where esh-mode.el lives in my system. It's in
/usr/share/emacs/29.3/lisp/eshell/esh-mode.el.gz

Here is what what I believe the relevant part:

```
(...)
(defcustom eshell-password-prompt-regexp
  (format "\\(%s\\)[^:：៖]*[:：៖]\\s *\\'" (regexp-opt
password-word-equivalents))
  "Regexp matching prompts for passwords in the inferior process.
This is used by `eshell-watch-for-password-prompt'."
  :type 'regexp
  :version "27.1")
(...)
```

Unfortunately, I could not find out where `password-word-equivalents` is
defined.

On Fri, Mar 28, 2025 at 7:58 AM Eli Zaretskii <[email-masked]> wrote:

> > Date: Thu, 27 Mar 2025 14:33:42 -0300
> > From:  Daniel de Castro Victoria via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> >
> > While using eshell to issue some git commands I noticed that the
> password prompt is not masking the
> > characters. My passwords appear as clear text. Bellow is a copy/paste
> from my eshell terminal (I just masked
> > some info)
> >
> > -------
> > Welcome to the Emacs shell
> >
> > ~ $ cd projetos
> > ~/projetos $ cd zoneamento/modelos/rAgS/
> > ~/projetos/zoneamento/modelos/rAgS $ git status
> > On branch interface
> > Your branch is up to date with 'origin/interface'.
> >
> > nothing to commit, working tree clean
> > ~/projetos/zoneamento/modelos/rAgS $ git fetch
> > Username for 'https://www.gitlab.xxxxx.xxxxxx.br': mXXXXX
> > Password for 'https://[email-masked]': my pass is
> clearText
> > --------------------
> >
> > I found this discussion on the email archives but I'm not sure how to
> make the changes. I'm new emacs user
> >
> > https://lists.gnu.org/archive/html/help-gnu-emacs/2014-01/msg00569.html
>
> Jim, any comments?
>

-- 
__________________________
Aviso de confidencialidade

Esta mensagem da 
Empresa  Brasileira de Pesquisa  Agropecuaria (Embrapa), empresa publica 
federal  regida pelo disposto  na Lei Federal no. 5.851,  de 7 de dezembro 
de 1972,  e  enviada exclusivamente  a seu destinatario e pode conter 
informacoes  confidenciais, protegidas  por sigilo profissional.  Sua 
utilizacao desautorizada  e ilegal e  sujeita o infrator as penas da lei. 
Se voce  a recebeu indevidamente, queira, por gentileza, reenvia-la ao 
emitente, esclarecendo o equivoco.

Confidentiality note

This message from 
Empresa  Brasileira de Pesquisa  Agropecuaria (Embrapa), a government 
company  established under  Brazilian law (5.851/72), is directed 
exclusively to  its addressee  and may contain confidential data,  
protected under  professional secrecy  rules. Its unauthorized  use is 
illegal and  may subject the transgressor to the law's penalties. If you 
are not the addressee, please send it back, elucidating the failure.